CHECKGAME(GNUCHESS)

NAME
checkgame

SYNOPSIS
checkgame filename

DESCRIPTION
Checkgame is a program to check the output of gnuchess for illegal moves.

checkgame accepts a 'chess.lst' file containing chess moves in algebraic notation and checks the file for illegal moves. Castling and en-passant moves are allowed. But in castling moves no check is made whether the pieces have moved before or whether a intervening square is under attack.

FUNCTION LETTERS

BUGS

SEE ALSO
gnuchess(6)
    chesstool(6)
    xboard(6)